Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Class SpecialErrorCodes

    java.lang.Object
      com.stc.connector.sagadapter.sagapi.SpecialErrorCodes

    public class SpecialErrorCodes

extends java.lang.Object

This class holds a set of error codes which may need special handling in programs. Typically these error codes should correspond to the "transient" errors.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:22 $
Author:
  Harry Liu (harry.liu@sun.com)

Field Summary
`static java.lang.String` | `Sag_APL_I_001_005`
`static java.lang.String` | `Sag_APL_I_001_006`
`static java.lang.String` | `Sag_APL_I_001_007`
`static java.lang.String` | `Sag_APL_I_005_002`
`static java.lang.String` | `Sag_System_002_005`
`static java.lang.String` | `Sag_System_002_006`
`static java.lang.String` | `Sw_Fa_TooManyFileTransfers`
`static java.lang.String` | `Sw_Gbl_GetDateTimeFatal`
`static java.lang.String` | `Sw_Gbl_GetDateTimeWarning`
`static java.lang.String` | `Sw_Gbl_LoadLibraryFailed`
`static java.lang.String` | `Sw_Gbl_LocalDomainError`
`static java.lang.String` | `Sw_Gbl_MessageTimeOut`
`static java.lang.String` | `Sw_Gbl_NetworkTransmissionError`
`static java.lang.String` | `Sw_Gbl_NonBlockingError`
`static java.lang.String` | `Sw_Gbl_RemoteDomainError`
`static java.lang.String` | `Sw_Gbl_WorkflowErrorAtSwitch`
`static java.lang.String` | `Sw_SnF_NotificationNotSent`
`static java.lang.String` | `Sw_SnF_QueueEmpty`
`static java.lang.String` | `version`

Constructor Summary
`SpecialErrorCodes()`

Method Summary
`static java.util.List` | `getRetryList()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### Sag_System_002_005

    public static final java.lang.String Sag_System_002_005

See Also:
  Constant Field Values

### Sag_System_002_006

    public static final java.lang.String Sag_System_002_006

See Also:
  Constant Field Values

### Sag_APL_I_001_005

    public static final java.lang.String Sag_APL_I_001_005

See Also:
  Constant Field Values

### Sag_APL_I_001_006

    public static final java.lang.String Sag_APL_I_001_006

See Also:
  Constant Field Values

### Sag_APL_I_005_002

    public static final java.lang.String Sag_APL_I_005_002

See Also:
  Constant Field Values

### Sag_APL_I_001_007

    public static final java.lang.String Sag_APL_I_001_007

See Also:
  Constant Field Values

### Sw_Gbl_LoadLibraryFailed

    public static final java.lang.String Sw_Gbl_LoadLibraryFailed

See Also:
  Constant Field Values

### Sw_Gbl_LocalDomainError

    public static final java.lang.String Sw_Gbl_LocalDomainError

See Also:
  Constant Field Values

### Sw_Gbl_MessageTimeOut

    public static final java.lang.String Sw_Gbl_MessageTimeOut

See Also:
  Constant Field Values

### Sw_Gbl_NetworkTransmissionError

    public static final java.lang.String Sw_Gbl_NetworkTransmissionError

See Also:
  Constant Field Values

### Sw_Gbl_NonBlockingError

    public static final java.lang.String Sw_Gbl_NonBlockingError

See Also:
  Constant Field Values

### Sw_Gbl_RemoteDomainError

    public static final java.lang.String Sw_Gbl_RemoteDomainError

See Also:
  Constant Field Values

### Sw_Gbl_WorkflowErrorAtSwitch

    public static final java.lang.String Sw_Gbl_WorkflowErrorAtSwitch

See Also:
  Constant Field Values

### Sw_Fa_TooManyFileTransfers

    public static final java.lang.String Sw_Fa_TooManyFileTransfers

See Also:
  Constant Field Values

### Sw_Gbl_GetDateTimeFatal

    public static final java.lang.String Sw_Gbl_GetDateTimeFatal

See Also:
  Constant Field Values

### Sw_Gbl_GetDateTimeWarning

    public static final java.lang.String Sw_Gbl_GetDateTimeWarning

See Also:
  Constant Field Values

### Sw_SnF_QueueEmpty

    public static final java.lang.String Sw_SnF_QueueEmpty

See Also:
  Constant Field Values

### Sw_SnF_NotificationNotSent

    public static final java.lang.String Sw_SnF_NotificationNotSent

See Also:
  Constant Field Values

Constructor Detail

### SpecialErrorCodes

    public SpecialErrorCodes()

Method Detail

### getRetryList

    public static java.util.List getRetryList()

  Returns:
    A list of error codes for which re-try may help

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.